<?php

class AddressbookAddressesModule extends CWebModule
{
    public $title;
    public $uiModule;
    public $section;
    public $sectionTitle;
    public $mainSectionModule;
    public $description;
    public $icon;
    public $type;

    public function init()
    {
        // this method is called when the module is being created
        // you may place code here to customize the module or the application

        // import the module-level models and components
        $this->setImport(array(
            'addressbookAddresses.models.*',
            'addressbookAddresses.components.*',
            'addressbookGeneral.models.*',
            'addressbookAddresses.controllers.*',
            'phonesettingsThirdPartyCredentials.models.*'
        ));
    }

    public function beforeControllerAction($controller, $action)
    {
        if (parent::beforeControllerAction($controller, $action)) {
            // this method is called before any module controller action is performed
            // you may place customized code here
            return true;
        } else
            return false;
    }
} 